#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
 * ------------------------------------------------------------------------
 * bmTraces
 * ------------------------------------------------------------------------
 * @license : GNU Affero General Public License Version 3 <http://www.gnu.org/licenses>
 * @author  : Pascal SALAUN 
 * @Website : http://www.bm-stats.org <http://www.bm-stats.org>
 * ------------------------------------------------------------------------
"""

# Native Python Lib/Class 
from Tkinter import * 

logo = './images/bmTraces100.gif'

aboutTitle = 'About bmTraces'

aboutText = """


Thanks for using bmTraces.

I hope it will be usefull in your job.

For any bug, you can report it/them to me via :
 - my mail address : Pascal SALAUN <pascal.salaun@laposte.net>
 - Blue Mind Forum : http://forum.bluemind.net/


According to the license (GNU Affero General Public License Version 3 <http://www.gnu.org/licenses>), you can, freely :
        - execute this program
        - redistribute it
        - modify any part of this code as you want/need
        - improve and redistribute it


About the Blue Mind Society, my relationship with it is purely friendly, limited my involvement as a free contributor (bm-stats).



Pascal
"""

class displayAbout:

        def __init__(self):
                self.about = Toplevel()
                self.about.geometry("900x350+50+50")
                self.about['bg']='#002E6A'
                self.about.wm_title(aboutTitle)
                
                
                self.Logo = PhotoImage(file=logo, master=self.about) 
                
                self.w1 = Label(self.about,justify=LEFT, padx = 10, image=self.Logo, anchor="n",width=100, bg='#002E6A')
                self.w1.image = self.Logo
                self.w1.pack(side="left", expand=True, fill=Y)
                
                self.w2 = Label(self.about,justify=LEFT, padx = 10, width=800, text=aboutText, fg="white", bg='#002E6A').pack(side="right")


