#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
 * ------------------------------------------------------------------------
 * bmTraces
 * ------------------------------------------------------------------------
 * @license : GNU Affero General Public License Version 3 <http://www.gnu.org/licenses>
 * @author  : Pascal SALAUN 
 * @Website : http://www.bm-stats.org <http://www.bm-stats.org>
 * ------------------------------------------------------------------------
"""

from Tkinter import * 
import tkSimpleDialog 
import tkFileDialog

class searchDialog(tkSimpleDialog.Dialog):
        
        def body(self, master):
                self.wm_title("bmTraces : Search in ... ")
                
                Label(master, text = "Path to File:").grid(row=0, sticky=W)
                Label(master, text="String : ").grid(row=1, sticky=W)
                                
                button = Button(master,text=u"Search...", command=self.searchFile)
                button.grid(column=2,row=0)
                
                self.e1 = Entry(master)
                self.e2 = Entry(master)


                self.e1.grid(row=0, column=1)
                self.e2.grid(row=1, column=1)                

                
        def searchFile(self):
                filename = tkFileDialog.askopenfilename(initialdir='~',filetypes = (("Log Files", "*.log *.log.0"),("Tarball", "*.tar *.gz *.tar.gz"),("All files", "*.*") ))
                self.e1.insert(0, filename)

        def apply(self):
                
                file = self.e1.get()
                string = self.e2.get()
                self.result = (file, string)